谢谢你的帮助-我不熟悉发布过程,我们这里不使用它。我已经开始了lsp程序,这就是我现在的位置。
我是新手,我们开始吧
-
- (defun UpdatePlotDevice_AllLayouts (DvcNme)
- ; Created by C McMurtry & K Garcia
- ; 7/2011
- (GETPLOTDEVICES) ;List layout and plot devices before update
- (foreach lay (layoutlist) : Loop through Layout List
- (setvar "CTAB" lay)
- (command "psltscale" "0") ;Set PTSCALE REI Std
- ( If (= “Canon_PCL” DeviceName) ; Update Plotter Names
- (Set Device Name = “Engineering Printer”))
- ( If (= “Xerox 8825” DeviceName)
- (Set Device Name = “Engineering Wide Format Printer”))
- ( If (= “HP Laserjet 6P” “Local Printer”)
- (Set Device Name = “Engineering Printer”))
- ( If (= “Canon_PCL” DeviceName)
- (Set Device Name = “Engineering Printer”))
- ) ; End of Loop
- (GETPLOTDEVICES) ;List layout and plot devices after update
- (defun GetPlotDevices (/ dvc)
- (vl-load-com)
- ;; Lee Mac ~ 26.02.10
- (vlax-map-collection
- (vla-get-layouts
- (vla-get-ActiveDocument
- (vlax-get-acad-object)))
- (function
- (lambda (layout)
- (vla-RefreshPlotDeviceInfo layout)
- (setq dvc
- (cons
- (cons
- (vla-get-name layout)
- (vla-get-ConfigName layout)) dvc)))))
- (reverse dvc))
|